develooper Front page | perl.perl5.porters | Postings from July 2003

Re: need your help to test mod_perl with perl-5.8.1-RC3

Thread Next
From:
Steve Hay
Date:
July 31, 2003 03:14
Subject:
Re: need your help to test mod_perl with perl-5.8.1-RC3
Message ID:
3F28EC70.9090707@uk.radan.com
Stas Bekman wrote:

> Jarkko has just released perl-5.8.1-RC3. Quite a few things have 
> changed since 5.8.0. So it's *very* important that you test your code 
> with this release and immediatelly report to p5p if you have any 
> problems, since Jarkko wants to release 5.8.1 any moment now.

BAD NEWS:  There seems to be a problem with ExtUtils-MakeMaker 6.12 
included in perl-5.8.1-RC3.

I successfully built and tested mod_perl 1.28 using RC3 on Windows XP / 
MS VC++ 6.0, but I just thought that I'd give libapreq-1.2 a quick whirl 
as well, and found that it doesn't build.  I get the following error:

...
link -out:..\blib\arch\auto\libapreq\libapreq.dll
...
libapreq.def : error LNK2001: unresolved external symbol boot_libapreq

If I downgrade ExtUtils-MakeMaker to 6.03 (the version included in 
perl-5.8.0) then it it's all OK.

The question is: why is it trying to build "libapreq.dll"?  It should 
only build "Request.dll" and "Cookie.dll", which would probably explain 
why "boot_libapreq" is undefined.

I'll continue looking into it myself, and can supply more info to anyone 
that wants it, but I thought I'd better raise the alarm quickly first.

Steve


Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About